csweb installation issues

Discussions about syncing data via Bluetooth, Dropbox, FTP, and using CSWeb
femi
Posts: 8
Joined: August 16th, 2016, 8:38 am

csweb installation issues

Postby femi » April 27th, 2018, 4:38 am

Hi everyone,

Please I am installing csweb for the first time using a wampserver but it brought me this error which I have been trying to sort out but at no avail.

csweb_error.png
csweb_error.png (56.84 KiB) Viewed 293 times


Please how do I go from here.

Thank you.

josh
Posts: 1605
Joined: May 5th, 2014, 12:49 pm
Location: Washington DC

Re: csweb installation issues

Postby josh » April 27th, 2018, 8:02 am

Based on that error message it seems like you are missing some files. Specifically the file csweb/setup/prereqs.php is missing. That file should be in the csweb.zip that you downloaded. Double check to make sure it is there.

femi
Posts: 8
Joined: August 16th, 2016, 8:38 am

Re: csweb installation issues

Postby femi » April 30th, 2018, 2:00 pm

Thanks Josh for your prompt reply.

I have been able to successfully install csweb through xampp. However, I wish to know how long will older version of CSPro 6.2 and the like will continue to get support from you as I am considering to continue deployment through 6.2.

Thanks again,

Femi

femi
Posts: 8
Joined: August 16th, 2016, 8:38 am

Re: csweb installation issues

Postby femi » April 30th, 2018, 2:15 pm

Hi Josh,

Lest I forget I get this error while running CSWeb:
Warning: count(): Parameter must be an array or an object that implements Countable in C:\xampp\htdocs\csweb\vendor\guzzlehttp\guzzle\src\Handler\CurlFactory.php on line 67

What do you think might be the likely cause.

Thanks

warning Error.png
warning Error.png (78.14 KiB) Viewed 282 times

josh
Posts: 1605
Joined: May 5th, 2014, 12:49 pm
Location: Washington DC

Re: csweb installation issues

Postby josh » April 30th, 2018, 2:23 pm

That error is probably due and incompatibility with the version of PHP. What version of PHP are you using?

You can continue to use 6.2 although we would not recommend it since it is now 2.5 years old and there have been 3 major releases since then (6.3, 7.0 and 7.1). The old synchronization using pnc files is still supported in those versions. It will be removed in version 7.2. The only reason to stick with and old version like 6.2 is if you have a survey developed and tested with it that is already in the field. For any new surveys you should use version 7.1.

josh
Posts: 1605
Joined: May 5th, 2014, 12:49 pm
Location: Washington DC

Re: csweb installation issues

Postby josh » May 2nd, 2018, 7:17 pm

FYI for anyone else who runs into the error "Parameter must be an array or an object that implements Countable in C:\xampp\htdocs\csweb\vendor\guzzlehttp\guzzle\src\Handler\CurlFactory.php on line 67". We have verified that this is a problem when using CSWeb with PHP version 7.2. As of today if you download the latest version of XAAMP you will get PHP 7.2 by default. We will have a fix for this problem in the next release of CSWeb (CSWeb 7.1.1). Until then please use an older version of PHP.


Return to “Synchronization”